SGE_COMMD(8)

NAME
sge_commd - Grid Engine communication agent

SYNOPSIS
sge_commd [ -S ] [ -a aliasfile ] [ -dhr ] [ -help ] [ -ll loglevel ] [ -ml fname ] [ -nd ] [ -p port ] [ -s service ]

DESCRIPTION
All network communication in a Grid Engine cluster is performed via the communication daemons sge_commd. Client programs like or as well as Grid Engine daemons such as or use the service provided by sge_commd in order to send/receive messages to/from other Grid Engine components.

sge_commd handles an arbitrary number of concurrent synchronous or asynchronous communications. Usually one sge_commd is started up automatically on each host on which or/and are invoked. It is however possible to connect multiple hosts via one sge_commd or to use a sge_commd on a submit or administrative Grid Engine host (without running one of the other Grid Engine daemons) as communication agent for the Grid Engine client programs invoked from that host.

OPTIONS

-S  Forces secure ports to be used for communication between sge_commds and between other Grid Engine components and the sge_commds. This requires all Grid Engine daemons to be started with root permission and the client programs to be configured set-uid root. In turn, it ensures that unauthorized communication is prohibited for non-root accounts.

-a aliasfile
    A file containing Grid Engine host aliases used by the sge_commd to resolve Grid Engine unique hostnames for all hosts in the cluster. Overrides the usage of the default host_aliases file under <sge_root>/<cell>/common/host_aliases. The hostname resolving service of sge_commd is also used by all other Grid Engine components. The file format and the implication of its usage are described in

-dhr
    The hostname resolving C-library functions (such as and perform some kind of caching on some OS architectures. Network wide hostname databases distributed by services such as DNS (Domain Name Service) and NIS (Network Information Service) are updated with a delay of several minutes. This only affects applications which repeatedly resolve hostnames (such as sge_commd). At start-up of a program the most recent information is accessed, thus commands like or are not affected.
    However, for sge_commd it makes no sense to resolve hostnames anytime (the returned information may be out of date anyway) and resolving can be an expensive operation if the network is overloaded and/or NIS or DNS servers are very busy. Therefore, sge_commd resolves hostname information from time to time only.
    Yet, if hostname resolving still causes problems due to network load, for example, it can be turned off with the -dhr switch. The administrator has to be aware, that if the hostname resolving is turned off, sge_commd has to be restarted as soon as the hostname databases change significantly.

-help
    Prints a listing of all options.

-ll loglevel
    Sets a logging level for error tracing. The error trace information is written to the file /tmp/commd/err.<pid>. However, the directory /tmp/commd must be present, otherwise the tracing output is discarded. At present, 255 is the only valid logging level.

-ml fname
    Enables message logging to file.

-nd Do not daemonize. If started with -nd, sge_commd maintains its connection to the controlling terminal and thus outputs trace information directly to the terminal from which sge_commd was invoked. The trace information is the same as being accessible via the -ll option (see above).

-p port_number
    Use this TCP port for communication with other commds.

-s service_name
    Use this service name and thus the associated TCP port for communication with other commds.

ENVIRONMENTAL VARIABLES

SGE_ROOT
    Specifies the location of the Grid Engine standard configuration files.

COMMD_PORT
    If set, specifies the tcp port on which sge_commd is expected to listen for communication requests. Most installations will use a services map entry instead to define that port.

COMMD_HOST
    (Does not affect the behavior of sge_commd but of the other Grid Engine components contacting sge_commd.) If set, specifies the host on which the particular sge_commd to be used for Grid Engine communication of arbitrary Grid Engine client programs or daemons resides. Per default the local host is used.

RESTRICTIONS
sge_commd usually is invoked by a starting and and thus is running under root permission. If started by a normal user the -S switch may not be used as the secure mode requires root permission (see above).

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.